Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 969879 - UUID of head gear and child scaled gears are of differing types
UUID of head gear and child scaled gears are of differing types
Status: CLOSED NOTABUG
Product: OpenShift Online
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Abhishek Gupta
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-02 17:36 EDT by Clayton Coleman
Modified: 2015-05-14 20:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-03 11:30:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clayton Coleman 2013-06-02 17:36:15 EDT
Creating an application with a scaled head gear and a scaled child gears creates different ID value types those gears.

1) rhc create-app foo php-5.3 -s
2) rhc add-cartridge "http://cartreflect-claytondev.rhcloud.com/reflect?github=smarterclayton/openshift-redis-cart&commit=6dca180bb06412a261d7211d9d8fe1211afe32d8" -a foo

ID                               State   Cartridges               Size  SSH URL
-------------------------------- ------- ------------------------ ----- -------------------------------------------------------------------------------------
292684868220001600929792         started php-5.3 haproxy-1.4      small 292684868220001600929792@foo-abc.dev.rhcloud.com
ad03ffc0cbc511e2a73512313d1704b9 started smarterclayton-redis-2.6 small ad03ffc0cbc511e2a73512313d1704b9@ad03ffc0cbc511e2a73512313d1704b9-abc.dev.rhcloud.com
c58949f0cbc611e2a73512313d1704b9 started smarterclayton-redis-2.6 small c58949f0cbc611e2a73512313d1704b9@c58949f0cbc611e2a73512313d1704b9-abc.dev.rhcloud.com

The php gear has the mongo UUID type and the child gears are of the ruby UUID type.  Should be one consistent type.

Does not block sprint exit, unless this is causing other problems.
Comment 1 Clayton Coleman 2013-06-03 11:30:38 EDT
Just a devenv thing, randomized.

Note You need to log in before you can comment on or make changes to this bug.